Loading...
Searching...
No Matches
OgreBspNode.h File Reference
`#include "OgreBspPrerequisites.h"`
`#include "OgrePlane.h"`
`#include "OgreAxisAlignedBox.h"`
`#include "OgreSceneQuery.h"`

## Classes

class | Ogre::BspNode
| Encapsulates a node in a BSP tree. More...
struct | Ogre::BspNode::Brush
struct | Ogre::WorldFragment
| Represents part of the world geometry that is a result of a SceneQuery. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::WorldFragmentType { Ogre::WFT_NONE , Ogre::WFT_PLANE_BOUNDED_REGION , Ogre::WFT_SINGLE_INTERSECTION , Ogre::WFT_CUSTOM_GEOMETRY , Ogre::WFT_RENDER_OPERATION }
| This type can be used by collaborating applications & SceneManagers to agree on the type of world geometry to be returned from queries. More...